<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@107C27=63</action>
    </script>
  </cheat>

  <cheat desc="Goto Boss Fight Screen Now!"> <comment>The Goto Boss Fight Screen should be activated on the character selection screen. If you activate it during any fight however you will see the ENDING after you win that match!</comment>
    <script state="on">
      <action>maincpu.pb@1070D1=0A</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@10734E=1E</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@10734E=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Chi PL1">
    <script state="run">
      <action>maincpu.pb@107361=03</action>
    </script>
  </cheat>

  <cheat desc="Always minimum Chi PL1">
    <script state="run">
      <action>maincpu.pb@107361=00</action>
    </script>
  </cheat>

  <cheat desc="Play with Bai-Hu PL1"> <comment>Use on selection screen</comment>
    <script state="run">
      <action>maincpu.pb@107171=08</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@1078AE=1E</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@1078AE=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Chi PL2">
    <script state="run">
      <action>maincpu.pb@1078C1=03</action>
    </script>
  </cheat>

  <cheat desc="Always minimum Chi PL2">
    <script state="run">
      <action>maincpu.pb@1078C1=00</action>
    </script>
  </cheat>

  <cheat desc="Play with Bai-Hu PL2"> <comment>Use on selection screen</comment>
    <script state="run">
      <action>maincpu.pb@1076D1=08</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Cartridge/NeoGeo Type"> <comment>Use in conjuction with the 'Skip RAM/ROM Checks' cheat for the best effect, then enable it and reset. The Home (NEOGEO) setting may open up other aspects of the game or it may even make the game unplayable.</comment>
    <parameter>
      <item value="0x80">Arcade (MVS)</item>
      <item value="0x00">Home (NEOGEO)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10FD82=param</action>
    </script>
  </cheat>

  <cheat desc="Skip RAM/ROM Checks"> <comment>Also allows a quicker start-up without the green screens. It's better to use together with Pre-Enable.</comment>
    <script state="on">
      <action>temp0 =maincpu.rd@C1315C</action>
      <action>temp1 =maincpu.rd@C1314E</action>
      <action>temp2 =maincpu.rd@C131E8</action>
      <action>temp3 =maincpu.rd@C13184</action>
      <action>temp4 =maincpu.rd@C1212E</action>
      <action>temp5 =maincpu.rd@C134FA</action>
    </script>
    <script state="run">
      <action condition="(maincpu.rd@C1315C==51CFFFF2)">maincpu.rd@C1315C=6000EB08</action> <!-- Euro + Japan-S2 BIOSs -->
      <action condition="(maincpu.rd@C1314E==51CFFFF2)">maincpu.rd@C1314E=6000EB16</action> <!-- Euro-S1 + Japan-S1 BIOSs -->
      <action condition="(maincpu.rd@C131E8==51CFFFF2)">maincpu.rd@C131E8=6000EA52</action> <!-- US BIOS -->
      <action condition="(maincpu.rd@C13184==51CFFFF2)">maincpu.rd@C13184=6000EAB6</action> <!-- US-E BIOS -->
      <action condition="(maincpu.rd@C1212E==51CFFFF2)">maincpu.rd@C1212E=6000EB36</action> <!-- Asia BIOS -->
      <action condition="(maincpu.rd@C134FA==51CFFFF2)">maincpu.rd@C134FA=6000E892</action> <!-- Japan BIOS -->
    </script>
    <script state="off">
      <action>maincpu.rd@C1315C=temp0 </action>
      <action>maincpu.rd@C1314E=temp1 </action>
      <action>maincpu.rd@C131E8=temp2 </action>
      <action>maincpu.rd@C13184=temp3 </action>
      <action>maincpu.rd@C1212E=temp4 </action>
      <action>maincpu.rd@C134FA=temp5 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
